RadioButtonPanel (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.panel.RadioButtonPanel class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.panel
Class RadioButtonPanel

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.hyperic.ui.tapestry.components.BaseComponent
                      org.hyperic.ui.tapestry.components.panel.RadioButtonPanel

All Implemented Interfaces:
  org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

    public abstract class RadioButtonPanel

extends BaseComponent

The RadioButton panel provides a series of radio buttons and a 'current selection' value.

Nested Class Summary
`static interface` | `RadioButtonPanel.Button`

Field Summary

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`RadioButtonPanel()`

Method Summary
`abstract RadioButtonPanel.Button` | `getButton()`
`org.apache.tapestry.components.Block` | `getButtonBlock()`
`abstract java.util.List` | `getButtons()`
`abstract java.lang.String` | `getCurrentSelection()`
`abstract org.apache.tapestry.listener.ListenerInvoker` | `getListenerInvoker()`
`abstract org.apache.tapestry.IActionListener` | `getSelectListener()`
`void` | `renderComponent(org.apache.tapestry.IMarkupWriter writer, org.apache.tapestry.IRequestCycle cycle)`
`void` | `selectButton(org.apache.tapestry.IRequestCycle cycle, java.lang.String id)`
`abstract void` | `setButton(RadioButtonPanel.Button b)` sets/gets the button that is currently being worked on, when rendering
`abstract void` | `setButtons(java.util.List listItems)` Takes a list of `RadioButtonPanel.Button`s
`abstract void` | `setCurrentSelection(java.lang.String id)`
`abstract void` | `setSelectListener(org.apache.tapestry.IActionListener listener)`

Methods inherited from class org.hyperic.ui.tapestry.components.BaseComponent
`getIsLoggedIn, getPageName, getRequest, getResponse, getServletContext, getUserName`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, cleanupAfterRender, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Constructor Detail

### RadioButtonPanel

    public RadioButtonPanel()

Method Detail

### setButtons

    @Parameter(name="buttons",
               required=true)
    public abstract void setButtons(java.util.List listItems)

  Takes a list of `RadioButtonPanel.Button`s

### getButtons

    public abstract java.util.List getButtons()

### setCurrentSelection

    @Persist
    public abstract void setCurrentSelection(java.lang.String id)

### getCurrentSelection

    public abstract java.lang.String getCurrentSelection()

### setSelectListener

    @Parameter(name="selectListener",
               required=true)
    public abstract void setSelectListener(org.apache.tapestry.IActionListener listener)

### getSelectListener

    public abstract org.apache.tapestry.IActionListener getSelectListener()

### getListenerInvoker

    @InjectObject(value="infrastructure:listenerInvoker")
    public abstract org.apache.tapestry.listener.ListenerInvoker getListenerInvoker()

### setButton

    public abstract void setButton(RadioButtonPanel.Button b)

  sets/gets the button that is currently being worked on, when rendering

### getButton

    public abstract RadioButtonPanel.Button getButton()

### getButtonBlock

    public org.apache.tapestry.components.Block getButtonBlock()

### selectButton

    public void selectButton(org.apache.tapestry.IRequestCycle cycle,
                             java.lang.String id)

### renderComponent

    public void renderComponent(org.apache.tapestry.IMarkupWriter writer,
                                org.apache.tapestry.IRequestCycle cycle)

  Overrides:
    `renderComponent` in class `org.apache.tapestry.BaseComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.